{
  "openapi": "3.0.0",
  "info": {
    "description": "## Introduction\n\n**The IBM Cloud Databases v5 API** is a supplemental layer that adds the capability to manage IBM Cloud Databases through a REST API. The API is designed to provide users and developers the ability to examine their database deployments, upgrade deployments, manage users, manage connections, monitor tasks, and work with backups.\n \nPrior versions of the API documentation can be found at: \n- [IBM Cloud Databases v4 API](https://cloud.ibm.com/apidocs/cloud-databases-api/cloud-databases-api-v4) \n\n## Endpoint URLs\n\nThe API is available at these public endpoints:\n- https://api.us-south.databases.cloud.ibm.com/v5/ibm/\n- https://api.eu-de.databases.cloud.ibm.com/v5/ibm/\n- https://api.jp-tok.databases.cloud.ibm.com/v5/ibm/\n- https://api.osl01.databases.cloud.ibm.com/v5/ibm/\n- https://api.au-syd.databases.cloud.ibm.com/v5/ibm/\n- https://api.us-east.databases.cloud.ibm.com/v5/ibm/\n- https://api.eu-gb.databases.cloud.ibm.com/v5/ibm/\n- https://api.seo01.databases.cloud.ibm.com/v5/ibm/\n- https://api.che01.databases.cloud.ibm.com/v5/ibm/\n\nThe API is also available at these private endpoints:\n- https://api.us-south.private.databases.cloud.ibm.com/v5/ibm/\n- https://api.eu-de.private.databases.cloud.ibm.com/v5/ibm/\n- https://api.jp-tok.private.databases.cloud.ibm.com/v5/ibm/\n- https://api.osl01.private.databases.cloud.ibm.com/v5/ibm/\n- https://api.au-syd.private.databases.cloud.ibm.com/v5/ibm/\n- https://api.us-east.private.databases.cloud.ibm.com/v5/ibm/\n- https://api.eu-gb.private.databases.cloud.ibm.com/v5/ibm/\n- https://api.seo01.private.databases.cloud.ibm.com/v5/ibm/\n- https://api.che01.private.databases.cloud.ibm.com/v5/ibm/\n  \nYou must use the endpoint from the same region as your deployment. A deployment's endpoint is also available on its _Overview_ tab or in any generated service credentials.\n\n## Authentication\n\nAccess to the API uses token authentication, by using the header `Authorization: Bearer <token>`. The token must be [IAM-issued](https://cloud.ibm.com/docs/account?topic=account-manapikey). You can send in an IAM API key directly as the token or [use the API key to generate an IAM Bearer Token](https://cloud.ibm.com/docs/account?topic=account-iamtoken_from_apikey).\n\nTo call each method, you'll need to be assigned a role that includes the required IAM actions. Each method lists the associated action. For more information about IAM actions and how they map to roles, see [Managing access for IBM Cloud](https://cloud.ibm.com/docs/cloud-databases?topic=cloud-databases-iam).\n\n## Error Handling\n\nThe IBM Cloud Databases API uses standard HTTP response codes to indicate whether a method completed successfully. A `200` response always indicates success. A `4xx` type response is some sort of failure, and a `500` type response usually indicates an internal system error. Any of these responses might be accompanied by a JSON formatted body that contains more detailed error information.\n\n## Event tracking\n\nYou can monitor API activity within your account by using the IBM Cloud Activity Tracker service. Whenever an API method is called, an event is generated that you can then track and audit from within Activity Tracker. The specific event type is listed for each individual method. \n\nFor more information about how to track Certificate Manager activity, see [Auditing events for IBM Cloud](https://cloud.ibm.com/docs/cloud-databases?topic=cloud-databases-activity-tracker).\n\n## Deployment IDs and CRNs\n\nDeployment IDs are CRNs on the IBM Cloud Databases v5 API platform. When you use the CRN, remember to URL encode the CRN value as it might include the forward-slash (/) `%2F` character. For example,\n```\ncrn:v1:bluemix:public:databases-for-redis:us-south:a/274074dce64e9c423ffc238516c755e1:29caf0e7-120f-4da8-9551-3abf57ebcfc7::\n```\nbecomes\n```\ncrn:v1:bluemix:public:databases-for-redis:us-south:a%2F274074dce64e9c423ffc238516c755e1:29caf0e7-120f-4da8-9551-3abf57ebcfc7::\n``` \nwhen URL encoded.\n\n## Pagination\n\nNo endpoint currently returns paginated data.\n\n## Rate Limiting\n\nNo endpoint currently implements rate limiting.\n\n## Related APIs\n\nThis API does not support listing your deployments. You can retrieve a list of all service instances (including your database deployments) from the Resource Controller and the [Resource Controller API](https://cloud.ibm.com/apidocs/resource-controller).\n\nSpecifically, the [`GET /resource_instances endpoint](https://cloud.ibm.com/apidocs/resource-controller#get-a-list-of-all-resource-instances) either with no query parameters or with a `resource_plan_id` can be used to list your deployments.\n\nThis API does not support provisioning and decommissioning of database deployments. Those functions are the responsibility of the Resource Controller and the [Resource Controller API](https://cloud.ibm.com/apidocs/resource-controller).\n\nSpecifically the [`POST /resource_instances` endpoint](https://cloud.ibm.com/apidocs/resource-controller#create-provision-a-new-resource-instance) with appropriate `resource_plan_id` (such as `databases-for-postgresql-standard` or `databases-for-redis-standard`) can be used to create a new database instance. Consult the Cloud Databases [provisioning documentation page](https://cloud.ibm.com/docs/services/cloud-databases?topic=cloud-databases-provisioning) for details of plan ids and other settings.",
    "version": "5.0.0",
    "title": "The IBM Cloud Databases API",
    "x-alternate-name": "Cloud Databases",
    "contact": {
      "email": "support@compose.com"
    },
    "x-logo": {
      "url": "https://res.cloudinary.com/dyyck73ly/image/upload/v1524733320/4b06ebe-compose-logo.png",
      "backgroundColor": null
    },
    "x-codegen-config": {
      "improvedNameFormattingV2": true,
      "go": {
        "apiPackage": "github.com/IBM/cloud-databases-go-sdk"
      },
      "python": {
        "apiPackage": "ibm_cloud_databases"
      }
    },
    "x-github": "https://github.ibm.com/cloud-api-docs/databases-for-postgresql",
    "x-github-issues": "https://github.ibm.com/cloud-api-docs/databases-for-postgresql/issues/new",
    "x-last-updated": "2023-04-14"
  },
  "servers": [
    {
      "url": "https://api.{region}.databases.cloud.ibm.com/v5/{platform}",
      "variables": {
        "platform": {
          "enum": [
            "compose",
            "ibm"
          ],
          "default": "ibm"
        },
        "region": {
          "enum": [
            "us-south",
            "eu-de",
            "jp-tok",
            "au-syd",
            "us-east",
            "eu-gb",
            "seo01",
            "che01"
          ],
          "default": "us-south"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Deployments",
      "description": "Managing your deployments"
    },
    {
      "name": "Database Users",
      "description": "Managing your database users"
    },
    {
      "name": "Database Configuration",
      "description": "Managing your database configuration"
    },
    {
      "name": "Remotes",
      "description": "Managing your database read-only remote replicas"
    },
    {
      "name": "Tasks",
      "description": "Managing your tasks"
    },
    {
      "name": "Backups",
      "description": "Managing your backups"
    },
    {
      "name": "Connections",
      "description": "Managing your connections"
    },
    {
      "name": "Scaling",
      "description": "Scaling your database deployment"
    },
    {
      "name": "Autoscaling",
      "description": "Conditions that govern autoscaling behavior on your deployment"
    },
    {
      "name": "Management",
      "description": "Performing maintenance or clean-up tasks on your deployment."
    },
    {
      "name": "Security",
      "description": "Securing your database deployment"
    },
    {
      "name": "Capability",
      "description": "Returns capability information"
    }
  ],
  "paths": {
    "/capability/{capability_id}": {
      "post": {
        "tags": [
          "Capability"
        ],
        "summary": "Discover capability information.",
        "description": "Returns capability information based on the parameters provided. Also returns request parameters or defaults if request parameters are blank.",
        "operationId": "createCapability",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "POST v5/ibm/capability/:capability_id"
            }
          ]
        },
        "parameters": [
          {
            "name": "capability_id",
            "in": "path",
            "required": true,
            "description": "Capability ID",
            "schema": {
              "type": "string",
              "enum": [
                "autoscaling",
                "encryption",
                "endpoints",
                "groups",
                "flavors",
                "locations",
                "point_in_time_recovery",
                "remotes",
                "restores",
                "versions"
              ]
            }
          }
        ],
        "requestBody": {
          "description": "Parameters for discovering capability.",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "deployment": {
                    "type": "object",
                    "description": "Either `deployment` or `backup`, not both. The `deployment` object can only be used with its supported `capability_id`.",
                    "properties": {
                      "type": {
                        "type": "string",
                        "description": "Type of database",
                        "example": "PostgreSQL"
                      },
                      "version": {
                        "type": "string",
                        "description": "database version",
                        "example": "10"
                      },
                      "platform": {
                        "type": "string",
                        "description": "classic or satellite",
                        "example": "satellite"
                      },
                      "location": {
                        "type": "string",
                        "description": "where the database is located",
                        "example": "us-south"
                      },
                      "plan": {
                        "type": "string",
                        "description": "database plan",
                        "example": "standard"
                      }
                    }
                  },
                  "backup": {
                    "type": "object",
                    "description": "Either `deployment` or `backup`, not both. The `backup` object can only be used with its supported `capability_id`.",
                    "properties": {
                      "type": {
                        "type": "string",
                        "description": "Type of database",
                        "example": "PostgreSQL"
                      },
                      "version": {
                        "type": "string",
                        "description": "database version",
                        "example": "10"
                      },
                      "platform": {
                        "type": "string",
                        "description": "classic or satellite",
                        "example": "satellite"
                      },
                      "location": {
                        "type": "string",
                        "description": "where the database is located",
                        "example": "us-south"
                      }
                    }
                  },
                  "options": {
                    "type": "object",
                    "properties": {
                      "target_platform": {
                        "type": "string",
                        "description": "classic or satellite",
                        "example": "classic"
                      },
                      "target_location": {
                        "type": "string",
                        "description": "Target location",
                        "example": "us-east"
                      },
                      "host_flavor": {
                        "type": "string",
                        "description": "which host_flavor groups to return",
                        "example": "multitenant"
                      }
                    }
                  }
                }
              },
              "example": {
                "deployment": {
                  "type": "postgresql",
                  "version": "10",
                  "platform": "classic",
                  "location": "us-south"
                }
              }
            }
          }
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X POST \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/capability/point_in_time_recovery \\\n -H 'Authorization: Bearer <>'  \\\n -H 'Content-Type: application/json' \\\n -d '{\n        \"deployment\": {\n          \"type\": \"postgresql\",\n          \"version\": \"14\",\n          \"platform\": \"classic\",\n          \"location\": \"us-south\"\n        },\n        \"options\": {\n          \"target_platform\": \"classic\",\n          \"target_location\": \"jp-tok\"\n        }\n      }'"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "responses": {
          "200": {
            "description": "capability information",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "capability": {
                      "$ref": "#/components/schemas/Capability"
                    }
                  }
                },
                "examples": {
                  "PitrCapabilityTrue": {
                    "$ref": "#/components/examples/PitrCapabilityTrue"
                  },
                  "CapabilityAutoscalingFalse": {
                    "$ref": "#/components/examples/CapabilityAutoscalingFalse"
                  },
                  "CapabilityLocationsHasStrings": {
                    "$ref": "#/components/examples/CapabilityLocationsHasStrings"
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token",
            "content": {
              "application/json": {
                "examples": {
                  "InvalidToken": {
                    "$ref": "#/components/examples/InvalidToken"
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "content": {
              "application/json": {
                "examples": {
                  "PitrUnprocessableEntity": {
                    "$ref": "#/components/examples/PitrUnprocessableEntity"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/deployments/{id}/capability/{capability_id}": {
      "get": {
        "tags": [
          "Capability"
        ],
        "summary": "Discover capability information from a deployment.",
        "description": "Returns capability information based on the deployment provided. Also returns url parameters or defaults if request parameters are blank.",
        "operationId": "getDeploymentCapability",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET v5/ibm/deployments/:deployment_id/capability/:capability_id"
            }
          ]
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Deployment ID",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "capability_id",
            "in": "path",
            "required": true,
            "description": "Capability ID",
            "schema": {
              "type": "string",
              "enum": [
                "autoscaling",
                "encryption",
                "endpoints",
                "groups",
                "locations",
                "point_in_time_recovery",
                "remotes",
                "versions"
              ]
            }
          },
          {
            "name": "target_platform",
            "in": "query",
            "description": "Target platform. Required for Point In Time Recovery.",
            "examples": {
              "platform": {
                "summary": "Target platform example",
                "value": "target_platform=classic"
              }
            },
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "target_location",
            "in": "query",
            "description": "Target location. Required for Point In Time Recovery.",
            "examples": {
              "location": {
                "summary": "Target location example",
                "value": "target_location=us-east"
              }
            },
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "host_flavor",
            "in": "query",
            "description": "When a host_flavor of 'multitenant' is included with the request, IBM Cloud Database's new shared compute groups will be returned",
            "examples": {
              "location": {
                "summary": "Host flavor example",
                "value": "host_flavor=multitenant"
              }
            },
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "include_hidden",
            "in": "query",
            "required": false,
            "description": "Include hidden versions. Only applicable for versions capability.",
            "schema": {
              "type": "boolean",
              "example": true
            }
          },
          {
            "name": "include_beta",
            "in": "query",
            "required": false,
            "description": "Include beta versions. Only applicable for versions capability.",
            "schema": {
              "type": "boolean",
              "example": true
            }
          }
        ],
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployments/{id}/capability/{capability_id} \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "responses": {
          "200": {
            "description": "capability information",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "capability": {
                      "$ref": "#/components/schemas/Capability"
                    }
                  }
                },
                "examples": {
                  "PitrCapabilityTrue": {
                    "$ref": "#/components/examples/PitrCapabilityTrue"
                  },
                  "CapabilityAutoscalingFalse": {
                    "$ref": "#/components/examples/CapabilityAutoscalingFalse"
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token",
            "content": {
              "application/json": {
                "examples": {
                  "InvalidToken": {
                    "$ref": "#/components/examples/InvalidToken"
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "content": {
              "application/json": {
                "examples": {
                  "PitrUnprocessableEntity": {
                    "$ref": "#/components/examples/PitrUnprocessableEntity"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/backups/{backup_id}/capability/{capability_id}": {
      "get": {
        "x-sdk-exclude": true,
        "tags": [
          "Capability"
        ],
        "summary": "Discover capability information from a backup.",
        "description": "Returns capability information based on the backup provided. Also returns url parameters or defaults if request parameters are blank.",
        "operationId": "backupCapability",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET v5/ibm/backups/:backup_id/capability/:capability_id"
            }
          ]
        },
        "parameters": [
          {
            "name": "backup_id",
            "in": "path",
            "required": true,
            "description": "Backup ID",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "capability_id",
            "in": "path",
            "required": true,
            "description": "Capability ID",
            "schema": {
              "type": "string",
              "enum": [
                "restores"
              ]
            }
          },
          {
            "name": "target_platform",
            "in": "query",
            "description": "Target platform.",
            "examples": {
              "platform": {
                "summary": "Target platform example",
                "value": "target_platform=classic"
              }
            },
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "target_location",
            "in": "query",
            "description": "Target location.",
            "examples": {
              "location": {
                "summary": "Target location example",
                "value": "target_location=us-easst"
              }
            },
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "host_flavor",
            "in": "query",
            "description": "When a host_flavor of 'multitenant' is included with the request, IBM Cloud Database's new shared compute groups will be returned",
            "examples": {
              "location": {
                "summary": "Host flavor example",
                "value": "host_flavor=multitenant"
              }
            },
            "schema": {
              "type": "string"
            }
          }
        ],
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/backups/{backup_id}/capability/{capability_id} \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "responses": {
          "200": {
            "description": "capability information",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "capability": {
                      "$ref": "#/components/schemas/Capability"
                    }
                  }
                },
                "examples": {
                  "CapabilityAutoscalingFalse": {
                    "$ref": "#/components/examples/RestoreCapabilityTrue"
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token",
            "content": {
              "application/json": {
                "examples": {
                  "InvalidToken": {
                    "$ref": "#/components/examples/InvalidToken"
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Entity",
            "content": {
              "application/json": {
                "examples": {
                  "RestoresUnprocessableEntity": {
                    "$ref": "#/components/examples/RestoresUnprocessableEntity"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/deployables": {
      "get": {
        "tags": [
          "Deployments"
        ],
        "summary": "List all deployable databases",
        "description": "Returns a list of all the types and associated major versions of database deployments that can be provisioned.",
        "operationId": "listDeployables",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/deployables"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployables \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listDeployablesOptions := cloudDatabasesService.NewListDeployablesOptions()\n",
                      "\n",
                      "listDeployablesResponse, response, err := cloudDatabasesService.ListDeployables(listDeployablesOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(listDeployablesResponse, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "cloudDatabasesService.listDeployables({})\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "list_deployables_response = cloud_databases_service.list_deployables().get_result()\n",
                      "\n",
                      "print(json.dumps(list_deployables_response, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "responses": {
          "200": {
            "description": "Deployable database objects",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "deployables": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Deployables"
                      }
                    }
                  },
                  "example": {
                    "deployables": [
                      {
                        "type": "elasticsearch",
                        "versions": [
                          {
                            "version": "6.7",
                            "status": "stable",
                            "is_preferred": true,
                            "transitions": []
                          },
                          {
                            "version": "5.6",
                            "status": "stable",
                            "is_preferred": false,
                            "transitions": [
                              {
                                "application": "elasticsearch",
                                "method": "restore",
                                "from_version": "5.6",
                                "to_version": "6.7"
                              }
                            ]
                          }
                        ]
                      }
                    ]
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          }
        }
      }
    },
    "/regions": {
      "get": {
        "tags": [
          "Deployments"
        ],
        "summary": "List all deployable regions",
        "description": "Returns a list of all the regions that deployments can be provisioned into from the current region. Used to determine region availability for read-only replicas",
        "operationId": "listRegions",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/regions"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/regions \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listRegionsOptions := cloudDatabasesService.NewListRegionsOptions()\n",
                      "\n",
                      "listRegionsResponse, response, err := cloudDatabasesService.ListRegions(listRegionsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(listRegionsResponse, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "cloudDatabasesService.listRegions({})\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "list_regions_response = cloud_databases_service.list_regions().get_result()\n",
                      "\n",
                      "print(json.dumps(list_regions_response, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "responses": {
          "200": {
            "description": "A regions object",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "regions": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "An array of region ids"
                    }
                  },
                  "example": {
                    "regions": [
                      "eu-gb",
                      "us-south"
                    ]
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          }
        }
      }
    },
    "/deployments/{id}": {
      "get": {
        "tags": [
          "Deployments"
        ],
        "summary": "Get deployment information",
        "description": "Gets the full data that is associated with a deployment. This data includes the ID, name, database type, and version.",
        "operationId": "getDeploymentInfo",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/deployments/:deployment_id"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployments/{id} \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getDeploymentInfoOptions := cloudDatabasesService.NewGetDeploymentInfoOptions(\n",
                      "  deploymentID,\n",
                      ")\n",
                      "\n",
                      "getDeploymentInfoResponse, response, err := cloudDatabasesService.GetDeploymentInfo(getDeploymentInfoOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(getDeploymentInfoResponse, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  id: deploymentId,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.getDeploymentInfo(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "get_deployment_info_response = cloud_databases_service.get_deployment_info(\n",
                      "  id=deployment_id,\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(get_deployment_info_response, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Deployment ID",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A deployment response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "deployment": {
                      "$ref": "#/components/schemas/Deployment"
                    }
                  },
                  "example": {
                    "deployment": {
                      "id": "crn:v1:staging:public:databases-for-enterprisedb:us-south:a/b9552134280015ebfde430a819fa4bb3:5589ecbf-de5f-4eac-9917-df0dd7e706c8::",
                      "name": "crn:v1:staging:public:databases-for-enterprisedb:us-south:a/b9552134280015ebfde430a819fa4bb3:5589ecbf-de5f-4eac-9917-df0dd7e706c8::",
                      "type": "enterprisedb",
                      "platform": "classic",
                      "platform_options": {
                        "disk_encryption_key_crn": "",
                        "backup_encryption_key_crn": ""
                      },
                      "version": "12",
                      "admin_usernames": {
                        "database": "admin"
                      },
                      "enable_private_endpoints": false,
                      "enable_public_endpoints": true,
                      "disablements": []
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          }
        }
      }
    },
    "/deployments/{id}/tasks": {
      "get": {
        "tags": [
          "Tasks"
        ],
        "summary": "List currently running tasks on a deployment",
        "description": "Obtain a list of tasks currently running or recently run on a deployment. Tasks are ephemeral. Records of successful tasks are shown for 24-48 hours, and unsuccessful tasks are shown for 7-8 days.",
        "operationId": "listDeploymentTasks",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/deployments/:deployment_id/tasks"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployments/{id}/tasks \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listDeploymentTasksOptions := cloudDatabasesService.NewListDeploymentTasksOptions(\n",
                      "  deploymentID,\n",
                      ")\n",
                      "\n",
                      "tasks, response, err := cloudDatabasesService.ListDeploymentTasks(listDeploymentTasksOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(tasks, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  id: deploymentId,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.listDeploymentTasks(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "tasks = cloud_databases_service.list_deployment_tasks(\n",
                      "  id=deployment_id,\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(tasks, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Deployment ID",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "An array of tasks",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Tasks",
                  "type": "object",
                  "properties": {
                    "tasks": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Task"
                      },
                      "example": [
                        {
                          "id": "crn:v1:bluemix:public:databases-for-postgresql:us-south:a/274074dce64e9c423ffc238516c755e1:a127f76a-98bf-4f8b-b263-01d9e16b15bd:task:3dc480bd-0cd9-4db6-92f4-b5c96544393b",
                          "resource_type": "backup",
                          "description": "Backing up database on-demand",
                          "status": "running",
                          "deployment_id": "crn:v1:bluemix:public:databases-for-postgresql:us-south:a/274074dce64e9c423ffc238516c755e1:a127f76a-98bf-4f8b-b263-01d9e16b15bd::",
                          "progress_percent": 5,
                          "created_at": "2018-03-28T10:31:30Z"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          }
        }
      }
    },
    "/tasks/{id}": {
      "get": {
        "tags": [
          "Tasks"
        ],
        "summary": "Get information about a task",
        "description": "Get information about a task and its status. Tasks themselves are persistent so old tasks can be consulted as well as running tasks.",
        "operationId": "getTask",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/tasks/:task_id"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/tasks/{id} \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getTaskOptions := cloudDatabasesService.NewGetTaskOptions(\n",
                      "  taskIDLink,\n",
                      ")\n",
                      "\n",
                      "getTaskResponse, response, err := cloudDatabasesService.GetTask(getTaskOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(getTaskResponse, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  id: taskIdLink,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.getTask(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "get_task_response = cloud_databases_service.get_task(\n",
                      "  id=task_id_link,\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(get_task_response, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Task ID",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A task",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "task": {
                      "$ref": "#/components/schemas/Task"
                    }
                  },
                  "example": {
                    "task": {
                      "id": "crn:v1:bluemix:public:databases-for-postgresql:us-south:a/274074dce64e9c423ffc238516c755e1:a127f76a-98bf-4f8b-b263-01d9e16b15bd:task:3dc480bd-0cd9-4db6-92f4-b5c96544393b",
                      "resource_type": "backup",
                      "description": "Backing up database on-demand",
                      "status": "running",
                      "deployment_id": "crn:v1:bluemix:public:databases-for-postgresql:us-south:a/274074dce64e9c423ffc238516c755e1:a127f76a-98bf-4f8b-b263-01d9e16b15bd::",
                      "progress_percent": 5,
                      "created_at": "2018-03-28T10:31:30Z"
                    }
                  }
                }
              }
            }
          },
          "303": {
            "description": "A completed task redirects to the associated resource.",
            "headers": {
              "Location": {
                "schema": {
                  "type": "string"
                },
                "description": "Location where the related resource can be found"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "task": {
                      "$ref": "#/components/schemas/Task"
                    }
                  },
                  "example": {
                    "task": {
                      "id": "crn:v1:bluemix:public:databases-for-postgresql:us-south:a/274074dce64e9c423ffc238516c755e1:a127f76a-98bf-4f8b-b263-01d9e16b15bd:task:3dc480bd-0cd9-4db6-92f4-b5c96544393b",
                      "resource_type": "backup",
                      "description": "Backing up database on-demand",
                      "status": "completed",
                      "deployment_id": "crn:v1:bluemix:public:databases-for-postgresql:us-south:a/274074dce64e9c423ffc238516c755e1:a127f76a-98bf-4f8b-b263-01d9e16b15bd::",
                      "progress_percent": 100,
                      "created_at": "2018-03-28T10:31:30Z"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          }
        }
      }
    },
    "/backups/{backup_id}": {
      "get": {
        "tags": [
          "Backups"
        ],
        "summary": "Get information about a backup",
        "description": "Get information about a backup, such as creation date.",
        "operationId": "getBackupInfo",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/backups/:backup_id"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/backups/{backup_id} \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getBackupInfoOptions := cloudDatabasesService.NewGetBackupInfoOptions(\n",
                      "  backupIDLink,\n",
                      ")\n",
                      "\n",
                      "getBackupInfoResponse, response, err := cloudDatabasesService.GetBackupInfo(getBackupInfoOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(getBackupInfoResponse, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  backupId: backupIdLink,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.getBackupInfo(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "get_backup_info_response = cloud_databases_service.get_backup_info(\n",
                      "  backup_id=backup_id_link,\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(get_backup_info_response, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "backup_id",
            "in": "path",
            "required": true,
            "description": "Backup ID",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A backup response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "backup": {
                      "$ref": "#/components/schemas/Backup"
                    }
                  },
                  "example": {
                    "backup": {
                      "id": "crn:v1:bluemix:public:databases-for-elasticsearch:us-south:a/274074dce64e9c423ffc238516c755e1:afa742a3-6f83-4f6e-a06e-b5c501e9e87a:backup:87635880-b11c-4359-9d06-41fd9f90feaf",
                      "deployment_id": "crn:v1:bluemix:public:databases-for-elasticsearch:us-south:a/274074dce64e9c423ffc238516c755e1:afa742a3-6f83-4f6e-a06e-b5c501e9e87a::",
                      "type": "scheduled",
                      "status": "completed",
                      "is_downloadable": false,
                      "is_restorable": true,
                      "created_at": "2019-06-10T14:31:40.000Z"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          }
        }
      }
    },
    "/deployments/{id}/backups": {
      "get": {
        "tags": [
          "Backups"
        ],
        "summary": "List currently available backups from a deployment",
        "description": "Get details of all currently available backups from a deployment.",
        "operationId": "listDeploymentBackups",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/deployments/:deployment_id/backups"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployments/{id}/backups \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listDeploymentBackupsOptions := cloudDatabasesService.NewListDeploymentBackupsOptions(\n",
                      "  deploymentID,\n",
                      ")\n",
                      "\n",
                      "backups, response, err := cloudDatabasesService.ListDeploymentBackups(listDeploymentBackupsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(backups, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  id: deploymentId,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.listDeploymentBackups(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "backups = cloud_databases_service.list_deployment_backups(\n",
                      "  id=deployment_id,\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(backups, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Deployment ID",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "An array of backups",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Backups"
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          }
        }
      },
      "post": {
        "tags": [
          "Backups"
        ],
        "summary": "Initiate an on-demand backup",
        "description": "Signal the platform to create an on-demand backup for the specified deployment. The returned task can be polled to track progress of the backup as it takes place.",
        "operationId": "startOndemandBackup",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "POST /v5/ibm/deployments/:deployment_id/backups"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "<service_id>.backup-ondemand.create"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X POST \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployments/{id}/backups \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "startOndemandBackupOptions := cloudDatabasesService.NewStartOndemandBackupOptions(\n",
                      "  deploymentID,\n",
                      ")\n",
                      "\n",
                      "startOndemandBackupResponse, response, err := cloudDatabasesService.StartOndemandBackup(startOndemandBackupOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(startOndemandBackupResponse, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  id: deploymentId,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.startOndemandBackup(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "start_ondemand_backup_response = cloud_databases_service.start_ondemand_backup(\n",
                      "  id=deployment_id,\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(start_ondemand_backup_response, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Deployment ID",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A task",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "task": {
                      "$ref": "#/components/schemas/Task"
                    }
                  },
                  "example": {
                    "task": {
                      "id": "crn:v1:bluemix:public:databases-for-postgresql:us-south:a/274074dce64e9c423ffc238516c755e1:a127f76a-98bf-4f8b-b263-01d9e16b15bd:task:3dc480bd-0cd9-4db6-92f4-b5c96544393b",
                      "resource_type": "backup",
                      "description": "Backing up database on-demand",
                      "status": "running",
                      "deployment_id": "crn:v1:bluemix:public:databases-for-postgresql:us-south:a/274074dce64e9c423ffc238516c755e1:a127f76a-98bf-4f8b-b263-01d9e16b15bd::",
                      "progress_percent": 5,
                      "created_at": "2018-03-28T10:30:30Z"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          },
          "422": {
            "description": "An error message response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                }
              }
            }
          }
        }
      }
    },
    "/deployments/{id}/point_in_time_recovery_data": {
      "get": {
        "tags": [
          "Backups"
        ],
        "summary": "Get earliest point-in-time-recovery timestamp",
        "description": "Returns the earliest available time for point-in-time-recovery in ISO8601 UTC format. PostgreSQL, EnterpriseDB, MySQL and MongoDB Enterprise only.",
        "operationId": "getPITRData",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/deployments/:deployment_id/point_in_time_recovery_data"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployments/{id}/point_in_time_recovery_data \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getPitRdataOptions := cloudDatabasesService.NewGetPitRdataOptions(\n",
                      "  deploymentID,\n",
                      ")\n",
                      "\n",
                      "pointInTimeRecoveryData, response, err := cloudDatabasesService.GetPitRdata(getPitRdataOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(pointInTimeRecoveryData, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  id: deploymentId,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.getPitRdata(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "point_in_time_recovery_data = cloud_databases_service.get_pit_rdata(\n",
                      "  id=deployment_id,\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(point_in_time_recovery_data, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Deployment ID",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The earliest point-in-time-recovery time",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "point_in_time_recovery_data": {
                      "$ref": "#/components/schemas/PointInTimeRecoveryData"
                    }
                  }
                },
                "example": {
                  "point_in_time_recovery_data": {
                    "earliest_point_in_time_recovery_time": "2019-09-09T23:16:00Z"
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          },
          "404": {
            "description": "not found"
          }
        }
      }
    },
    "/deployments/{id}/groups": {
      "get": {
        "tags": [
          "Scaling"
        ],
        "summary": "List currently available scaling groups from a deployment",
        "description": "Scaling groups represent the various resources that are allocated to a deployment. This command allows for the retrieval of all of the groups for a particular deployment.",
        "operationId": "listDeploymentScalingGroups",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/deployments/:deployment_id/groups"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployments/{id}/groups \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listDeploymentScalingGroupsOptions := cloudDatabasesService.NewListDeploymentScalingGroupsOptions(\n",
                      "  deploymentID,\n",
                      ")\n",
                      "\n",
                      "groups, response, err := cloudDatabasesService.ListDeploymentScalingGroups(listDeploymentScalingGroupsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(groups, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  id: deploymentId,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.listDeploymentScalingGroups(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "groups = cloud_databases_service.list_deployment_scaling_groups(\n",
                      "  id=deployment_id,\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(groups, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Deployment ID",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "An array of scaling groups",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "groups": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Group"
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          }
        }
      }
    },
    "/deployables/{type}/groups": {
      "get": {
        "tags": [
          "Scaling"
        ],
        "summary": "Get default scaling groups for a new deployment",
        "description": "Scaling groups represent the various resources allocated to a deployment. When a new deployment is created, there are a set of defaults for each database type. This endpoint returns them for a particular database.",
        "operationId": "getDefaultScalingGroups",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/deployables/:type/groups"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployables/{type}/groups \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getDefaultScalingGroupsOptions := cloudDatabasesService.NewGetDefaultScalingGroupsOptions(\n",
                      "  \"postgresql\",\n",
                      ")\n",
                      "\n",
                      "groups, response, err := cloudDatabasesService.GetDefaultScalingGroups(getDefaultScalingGroupsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(groups, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  type: 'postgresql',\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.getDefaultScalingGroups(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "groups = cloud_databases_service.get_default_scaling_groups(\n",
                      "  type='postgresql',\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(groups, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "type",
            "in": "path",
            "required": true,
            "description": "Database type name",
            "schema": {
              "type": "string",
              "enum": [
                "postgresql",
                "etcd"
              ],
              "example": "postgresql"
            }
          },
          {
            "name": "host_flavor",
            "in": "query",
            "required": false,
            "description": "When a host_flavor of 'multitenant' is included with the request, IBM Cloud Database's new shared compute default groups will be returned",
            "schema": {
              "type": "string",
              "enum": [
                "multitenant"
              ],
              "example": "multitenant"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "An array of scaling groups",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "groups": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Group"
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          }
        }
      }
    },
    "/deployments/{id}/groups/{group_id}": {
      "patch": {
        "tags": [
          "Scaling"
        ],
        "summary": "Set scaling values on a specified group.",
        "description": "Set scaling value on a specified group. Can only be performed on is_adjustable=true groups. Values set are for the group as a whole and resources are distributed amongst the group. Values must be greater than or equal to the minimum size and must be a multiple of the step size.",
        "operationId": "setDeploymentScalingGroup",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "PATCH /v5/ibm/deployments/:deployment_id/groups/:group_id"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X PATCH \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployments/{id}/groups/{group_id} \\\n -H 'Authorization: Bearer <>' \\\n -H 'Content-Type: application/json' \\\n -d '{\"memory\": {\"allocation_mb\": 4096}}' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "setMemoryGroupMemoryModel := &clouddatabasesv5.SetMemoryGroupMemory{\n",
                      "  AllocationMb: core.Int64Ptr(int64(114688)),\n",
                      "}\n",
                      "\n",
                      "setDeploymentScalingGroupRequestModel := &clouddatabasesv5.SetDeploymentScalingGroupRequestSetMemoryGroup{\n",
                      "  Memory: setMemoryGroupMemoryModel,\n",
                      "}\n",
                      "\n",
                      "setDeploymentScalingGroupOptions := cloudDatabasesService.NewSetDeploymentScalingGroupOptions(\n",
                      "  deploymentID,\n",
                      "  scalingGroupIDLink,\n",
                      "  setDeploymentScalingGroupRequestModel,\n",
                      ")\n",
                      "\n",
                      "setDeploymentScalingGroupResponse, response, err := cloudDatabasesService.SetDeploymentScalingGroup(setDeploymentScalingGroupOptions)\n",
                      "if err != nil {\n",
                      "  handleError(setDeploymentScalingGroupResponse, response, err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(setDeploymentScalingGroupResponse, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const setMemoryGroupMemoryModel = {\n",
                      "  allocation_mb: 114688,\n",
                      "};\n",
                      "\n",
                      "const setDeploymentScalingGroupRequestModel = {\n",
                      "  memory: setMemoryGroupMemoryModel,\n",
                      "};\n",
                      "\n",
                      "const params = {\n",
                      "  id: deploymentId,\n",
                      "  groupId: scalingGroupIdLink,\n",
                      "  setDeploymentScalingGroupRequest: setDeploymentScalingGroupRequestModel,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.setDeploymentScalingGroup(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "set_memory_group_memory_model = SetMemoryGroupMemory(\n",
                      "  allocation_mb=114688,\n",
                      ")\n",
                      "\n",
                      "set_deployment_scaling_group_request_model = SetDeploymentScalingGroupRequestSetMemoryGroup(\n",
                      "  memory=set_memory_group_memory_model,\n",
                      ")\n",
                      "\n",
                      "set_deployment_scaling_group_response = cloud_databases_service.set_deployment_scaling_group(\n",
                      "  id=deployment_id,\n",
                      "  group_id=scaling_group_id_link,\n",
                      "  set_deployment_scaling_group_request=set_deployment_scaling_group_request_model\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(set_deployment_scaling_group_response, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Deployment ID",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "group_id",
            "in": "path",
            "required": true,
            "description": "Group Id",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Scaling group settings",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "group": {
                    "$ref": "#/components/schemas/GroupScaling"
                  }
                }
              },
              "example": {
                "memory": {
                  "allocation_mb": 4096
                }
              }
            }
          }
        },
        "responses": {
          "202": {
            "description": "A task which is being run to scale the deployment",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "task": {
                      "$ref": "#/components/schemas/Task"
                    }
                  },
                  "example": {
                    "task": {
                      "id": "crn:v1:bluemix:public:databases-for-postgresql:us-south:a/274074dce64e9c423ffc238516c755e1:a127f76a-98bf-4f8b-b263-01d9e16b15bd:task:3dc480bd-0cd9-4db6-92f4-b5c96544393b",
                      "resource_type": "configuration",
                      "description": "Scaling database deployment",
                      "status": "running",
                      "deployment_id": "crn:v1:bluemix:public:databases-for-postgresql:us-south:a/274074dce64e9c423ffc238516c755e1:a127f76a-98bf-4f8b-b263-01d9e16b15bd::",
                      "progress_percent": 5,
                      "created_at": "2018-03-28T10:20:30Z"
                    }
                  }
                }
              }
            },
            "links": {
              "taskId": {
                "$ref": "#/components/links/taskId"
              }
            }
          },
          "403": {
            "description": "Invalid token"
          },
          "422": {
            "description": "An error message response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Errors"
                }
              }
            }
          }
        }
      }
    },
    "/deployments/{id}/groups/{group_id}/autoscaling": {
      "get": {
        "tags": [
          "Autoscaling"
        ],
        "summary": "Get the autoscaling configuration from a deployment",
        "description": "The Autoscaling configuration represents the various conditions that control autoscaling for a deployment. This command allows for the retrieval of all autoscaling conditions for a particular deployment.",
        "operationId": "getAutoscalingConditions",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "GET /v5/ibm/deployments/:deployment_id/groups/:group_id/autoscaling"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X GET \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployments/{id}/groups/{group_id}/autoscaling \\\n -H 'Authorization: Bearer <>' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getAutoscalingConditionsOptions := cloudDatabasesService.NewGetAutoscalingConditionsOptions(\n",
                      "  deploymentID,\n",
                      "  autoScalingGroupID,\n",
                      ")\n",
                      "\n",
                      "autoscalingGroup, response, err := cloudDatabasesService.GetAutoscalingConditions(getAutoscalingConditionsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(autoscalingGroup, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const params = {\n",
                      "  id: deploymentId,\n",
                      "  groupId: autoScalingGroupId,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.getAutoscalingConditions(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "autoscaling_group = cloud_databases_service.get_autoscaling_conditions(\n",
                      "  id=deployment_id,\n",
                      "  group_id=auto_scaling_group_id,\n",
                      ").get_result()\n",
                      "\n",
                      "print(json.dumps(autoscaling_group, indent=2))"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Deployment ID",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "group_id",
            "in": "path",
            "required": true,
            "description": "Group ID",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "An object containing autoscaling conditions",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AutoscalingGroup"
                },
                "example": {
                  "autoscaling": {
                    "disk": {
                      "scalers": {
                        "capacity": {
                          "enabled": false,
                          "free_space_remaining_percent": 10
                        },
                        "io_utilization": {
                          "enabled": true,
                          "over_period": "30m",
                          "above_percent": 45
                        }
                      },
                      "rate": {
                        "increase_percent": 20,
                        "scale_period_seconds": 900,
                        "limit_mb_per_member": 3670016,
                        "units": "mb"
                      }
                    },
                    "memory": {
                      "scalers": {
                        "io_utilization": {
                          "enabled": false,
                          "over_period": "5m",
                          "above_percent": 90
                        }
                      },
                      "rate": {
                        "increase_percent": 10,
                        "period_seconds": 900,
                        "limit_mb_per_member": 125952,
                        "units": "mb"
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Invalid token"
          },
          "404": {
            "description": "Not Found"
          }
        }
      },
      "patch": {
        "tags": [
          "Autoscaling"
        ],
        "summary": "Set the autoscaling configuration from a deployment",
        "description": "Enable, disable, or set the conditions for autoscaling on your deployment. Memory, disk, and CPU (if available) can be set separately and are not all required.",
        "operationId": "setAutoscalingConditions",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "PATCH /v5/ibm/deployments/:deployment_id/groups/:group_id/autoscaling"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "<service_id>.autoscaling.update"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example curl request",
                "example": [
                  {
                    "type": "code",
                    "lang": "curl",
                    "source": [
                      "curl -X PATCH \\\n https://api.{region}.databases.cloud.ibm.com/v5/ibm/deployments/{id}/groups/{group_id}/autoscaling \\\n -H 'Authorization: Bearer <>' \\\n -H 'Content-Type: application/json' \\\n -d '{\"autoscaling\": { \"memory\": {\"scalers\": {\"io_utilization\": {\"enabled\": true, \"over_period\": \"5m\",\"above_percent\": 90}},\"rate\": {\"increase_percent\": 10.0, \"period_seconds\": 300,\"limit_mb_per_member\": 125952,\"units\": \"mb\"}}}}' \\"
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "autoscalingMemoryGroupMemoryScalersIoUtilizationModel := &clouddatabasesv5.AutoscalingMemoryGroupMemoryScalersIoUtilization{\n",
                      "  Enabled:      core.BoolPtr(true),\n",
                      "  OverPeriod:   core.StringPtr(\"5m\"),\n",
                      "  AbovePercent: core.Int64Ptr(int64(90)),\n",
                      "}\n",
                      "\n",
                      "autoscalingMemoryGroupMemoryScalersModel := &clouddatabasesv5.AutoscalingMemoryGroupMemoryScalers{\n",
                      "  IoUtilization: autoscalingMemoryGroupMemoryScalersIoUtilizationModel,\n",
                      "}\n",
                      "\n",
                      "autoscalingMemoryGroupMemoryRateModel := &clouddatabasesv5.AutoscalingMemoryGroupMemoryRate{\n",
                      "  IncreasePercent:  core.Float64Ptr(float64(10.0)),\n",
                      "  PeriodSeconds:    core.Int64Ptr(int64(300)),\n",
                      "  LimitMbPerMember: core.Float64Ptr(float64(114432)),\n",
                      "  Units:            core.StringPtr(\"mb\"),\n",
                      "}\n",
                      "\n",
                      "autoscalingMemoryGroupMemoryModel := &clouddatabasesv5.AutoscalingMemoryGroupMemory{\n",
                      "  Scalers: autoscalingMemoryGroupMemoryScalersModel,\n",
                      "  Rate:    autoscalingMemoryGroupMemoryRateModel,\n",
                      "}\n",
                      "\n",
                      "autoscalingSetGroupAutoscalingModel := &clouddatabasesv5.AutoscalingSetGroupAutoscalingAutoscalingMemoryGroup{\n",
                      "  Memory: autoscalingMemoryGroupMemoryModel,\n",
                      "}\n",
                      "\n",
                      "setAutoscalingConditionsOptions := cloudDatabasesService.NewSetAutoscalingConditionsOptions(\n",
                      "  deploymentID,\n",
                      "  autoScalingGroupID,\n",
                      "  autoscalingSetGroupAutoscalingModel,\n",
                      ")\n",
                      "\n",
                      "setAutoscalingConditionsResponse, response, err := cloudDatabasesService.SetAutoscalingConditions(setAutoscalingConditionsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(setAutoscalingConditionsResponse, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ],
            "node": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "const autoscalingMemoryGroupMemoryScalersIoUtilizationModel = {\n",
                      "  enabled: true,\n",
                      "  over_period: '5m',\n",
                      "  above_percent: 90,\n",
                      "};\n",
                      "\n",
                      "const autoscalingMemoryGroupMemoryScalersModel = {\n",
                      "  io_utilization: autoscalingMemoryGroupMemoryScalersIoUtilizationModel,\n",
                      "};\n",
                      "\n",
                      "const autoscalingMemoryGroupMemoryRateModel = {\n",
                      "  increase_percent: 10.0,\n",
                      "  period_seconds: 300,\n",
                      "  limit_mb_per_member: 114432,\n",
                      "  units: 'mb',\n",
                      "};\n",
                      "\n",
                      "const autoscalingMemoryGroupMemoryModel = {\n",
                      "  scalers: autoscalingMemoryGroupMemoryScalersModel,\n",
                      "  rate: autoscalingMemoryGroupMemoryRateModel,\n",
                      "};\n",
                      "\n",
                      "const autoscalingSetGroupAutoscalingModel = {\n",
                      "  memory: autoscalingMemoryGroupMemoryModel,\n",
                      "};\n",
                      "\n",
                      "const params = {\n",
                      "  id: deploymentId,\n",
                      "  groupId: autoScalingGroupId,\n",
                      "  autoscaling: autoscalingSetGroupAutoscalingModel,\n",
                      "};\n",
                      "\n",
                      "cloudDatabasesService.setAutoscalingConditions(params)\n",
                      "  .then(res => {\n",
                      "    console.log(JSON.stringify(res.result, null, 2));\n",
                      "  })\n",
                      "  .catch(err => {\n",
                      "    console.warn(err)\n",
                      "  });"
                    ]
                  }
                ]
              }
            ],
            "python": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "autoscaling_memory_group_memory_scalers_io_utilization_model = AutoscalingMemoryGroupMemoryScalersIoUtilization(\n",
                      "  enabled=True,\n",
                      "  over_period='5m',\n",
                      "  above_percent=90,\n",
                      ")\n",
                      "\n",
[...]
